Bug 587288 - repomanage tracebacks, when given a bad path
Summary: repomanage tracebacks, when given a bad path
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum-utils   
(Show other bugs)
Version: 6.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: BaseOS QE Security Team
URL:
Whiteboard: abrt_hash:b190182a
Keywords:
Depends On:
Blocks: 620652
TreeView+ depends on / blocked
 
Reported: 2010-04-29 14:26 UTC by Eduard Benes
Modified: 2014-01-21 06:17 UTC (History)
0 users

Fixed In Version: yum-utils-1.1.26-10.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 620652 (view as bug list)
Environment:
Last Closed: 2010-11-10 22:01:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (498 bytes, text/plain)
2010-04-29 14:26 UTC, Eduard Benes
no flags Details

Description Eduard Benes 2010-04-29 14:26:00 UTC
abrt 1.0.7 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/repomanage -
component: yum-utils
executable: /usr/bin/repomanage
kernel: 2.6.32-22.el6.x86_64
package: yum-utils-1.1.26-7.el6
reason: repomanage:53:getFileList:Error
release: Red Hat Enterprise Linux release 6.0 Beta (Santiago)

backtrace
-----
repomanage:53:getFileList:Error

Traceback (most recent call last):
  File "/usr/bin/repomanage", line 234, in <module>
    main(sys.argv[1:])
  File "/usr/bin/repomanage", line 133, in main
    rpmList = getFileList(mydir, '.rpm', rpmList)
  File "/usr/bin/repomanage", line 53, in getFileList
    raise Error, 'Error accessing directory %s, %s' % (path, e.message)
Error

Local variables in innermost frame:
extlen: 4
path: '-'
ext: '.rpm'
e: OSError(2, 'No such file or directory')
filelist: []

How to reproduce
-----
1. repomanage -
2.
3.

Comment 1 Eduard Benes 2010-04-29 14:26:02 UTC
Created attachment 410123 [details]
File: backtrace

Comment 2 RHEL Product and Program Management 2010-04-29 15:25:42 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 James Antill 2010-05-20 19:41:51 UTC
This is fixed upstream, it's a simple patch (just don't throw an exception as well as tell the user the path is bad). I also only happens when the user specifies a path that doesn't exist, so...

Comment 4 Fedora Update System 2010-06-06 13:44:22 UTC
yum-utils-1.1.27-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-utils-1.1.27-1.fc13

Comment 5 Fedora Update System 2010-06-14 17:19:50 UTC
yum-utils-1.1.27-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Eduard Benes 2010-06-21 08:09:11 UTC
Still reproducible with: yum-utils-1.1.26-9.el6.noarch

Comment 7 James Antill 2010-06-21 14:38:03 UTC
Can you not see -10?

Comment 9 Eduard Benes 2010-08-02 15:48:58 UTC
The traceback is gone. Should we open a separate tracking bug for the deprecation warning?

$ repomanage -
/usr/bin/repomanage:52: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  errorprint('Error accessing directory %s, %s' % (path, e.message))
Error accessing directory -, 
No files to process

Comment 10 seth vidal 2010-08-02 16:06:34 UTC
I applied a patch upstream that gets fixes the deprecation warning from this message, though it is completely harmless itself.

Comment 11 releng-rhel@redhat.com 2010-11-10 22:01:20 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.